Index: src/aubio_priv.h
===================================================================
--- src/aubio_priv.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/aubio_priv.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -25,6 +25,6 @@
  */
 
-#ifndef _AUBIO_PRIV_H
-#define _AUBIO_PRIV_H
+#ifndef _AUBIO__PRIV_H
+#define _AUBIO__PRIV_H
 
 /*********************
@@ -218,3 +218,3 @@
 #define UNUSED __attribute__((unused))
 
-#endif/*_AUBIO_PRIV_H*/
+#endif /* _AUBIO__PRIV_H */
Index: src/cvec.h
===================================================================
--- src/cvec.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/cvec.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef _CVEC_H
-#define _CVEC_H
+#ifndef _AUBIO__CVEC_H
+#define _AUBIO__CVEC_H
 
 #ifdef __cplusplus
@@ -222,4 +222,3 @@
 #endif
 
-#endif /* _CVEC_H */
-
+#endif /* _AUBIO__CVEC_H */
Index: src/fmat.h
===================================================================
--- src/fmat.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/fmat.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2009-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef _FMAT_H
-#define _FMAT_H
+#ifndef _AUBIO__FMAT_H
+#define _AUBIO__FMAT_H
 
 #ifdef __cplusplus
@@ -176,3 +176,3 @@
 #endif
 
-#endif /* _FMAT_H */
+#endif /* _AUBIO__FMAT_H */
Index: src/fvec.h
===================================================================
--- src/fvec.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/fvec.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef _FVEC_H
-#define _FVEC_H
+#ifndef _AUBIO__FVEC_H
+#define _AUBIO__FVEC_H
 
 #ifdef __cplusplus
@@ -176,3 +176,3 @@
 #endif
 
-#endif /* _FVEC_H */
+#endif /* _AUBIO__FVEC_H */
Index: src/lvec.h
===================================================================
--- src/lvec.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/lvec.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef _LVEC_H
-#define _LVEC_H
+#ifndef _AUBIO__LVEC_H
+#define _AUBIO__LVEC_H
 
 #ifdef __cplusplus
@@ -126,3 +126,3 @@
 #endif
 
-#endif /* _LVEC_H */
+#endif /* _AUBIO__LVEC_H */
Index: src/mathutils.h
===================================================================
--- src/mathutils.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/mathutils.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -28,6 +28,6 @@
  */
 
-#ifndef MATHUTILS_H
-#define MATHUTILS_H
+#ifndef _AUBIO_MATHUTILS_H
+#define _AUBIO_MATHUTILS_H
 
 #include "fvec.h"
@@ -283,4 +283,3 @@
 #endif
 
-#endif
-
+#endif /* _AUBIO_MATHUTILS_H */
Index: src/musicutils.h
===================================================================
--- src/musicutils.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/musicutils.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -23,6 +23,6 @@
  */
 
-#ifndef MUSICUTILS_H
-#define MUSICUTILS_H
+#ifndef _AUBIO__MUSICUTILS_H
+#define _AUBIO__MUSICUTILS_H
 
 #ifdef __cplusplus
@@ -149,4 +149,3 @@
 #endif
 
-#endif
-
+#endif /* _AUBIO__MUSICUTILS_H */
Index: src/onset/onset.h
===================================================================
--- src/onset/onset.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/onset/onset.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2006-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2006-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -40,6 +40,6 @@
 
 
-#ifndef ONSET_H
-#define ONSET_H
+#ifndef _AUBIO_ONSET_H
+#define _AUBIO_ONSET_H
 
 #ifdef __cplusplus
@@ -269,3 +269,3 @@
 #endif
 
-#endif /* ONSET_H */
+#endif /* _AUBIO_ONSET_H */
Index: src/onset/peakpicker.h
===================================================================
--- src/onset/peakpicker.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/onset/peakpicker.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -27,6 +27,6 @@
 */
 
-#ifndef PEAKPICK_H
-#define PEAKPICK_H
+#ifndef _AUBIO_PEAKPICK_H
+#define _AUBIO_PEAKPICK_H
 
 #ifdef __cplusplus
@@ -55,3 +55,3 @@
 #endif
 
-#endif /* PEAKPICK_H */
+#endif /* _AUBIO_PEAKPICK_H */
Index: src/pitch/pitch.h
===================================================================
--- src/pitch/pitch.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/pitch/pitch.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef PITCH_H
-#define PITCH_H
+#ifndef _AUBIO_PITCH_H
+#define _AUBIO_PITCH_H
 
 #ifdef __cplusplus
@@ -180,3 +180,3 @@
 #endif
 
-#endif /*PITCH_H*/
+#endif /* _AUBIO_PITCH_H */
Index: src/pitch/pitchfcomb.h
===================================================================
--- src/pitch/pitchfcomb.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/pitch/pitchfcomb.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -35,6 +35,6 @@
 */
 
-#ifndef _PITCHFCOMB_H
-#define _PITCHFCOMB_H
+#ifndef _AUBIO_PITCHFCOMB_H
+#define _AUBIO_PITCHFCOMB_H
 
 #ifdef __cplusplus
@@ -74,5 +74,3 @@
 #endif
 
-#endif /* _PITCHFCOMB_H */
-
-
+#endif /* _AUBIO_PITCHFCOMB_H */
Index: src/pitch/pitchmcomb.h
===================================================================
--- src/pitch/pitchmcomb.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/pitch/pitchmcomb.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -36,6 +36,6 @@
 */
 
-#ifndef PITCHMCOMB_H
-#define PITCHMCOMB_H
+#ifndef _AUBIO_PITCHMCOMB_H
+#define _AUBIO_PITCHMCOMB_H
 
 #ifdef __cplusplus
@@ -75,3 +75,3 @@
 #endif
 
-#endif /* PITCHMCOMB_H */
+#endif /* _AUBIO_PITCHMCOMB_H */
Index: src/pitch/pitchschmitt.h
===================================================================
--- src/pitch/pitchschmitt.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/pitch/pitchschmitt.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -35,6 +35,6 @@
 */
 
-#ifndef _PITCHSCHMITT_H
-#define _PITCHSCHMITT_H
+#ifndef _AUBIO_PITCHSCHMITT_H
+#define _AUBIO_PITCHSCHMITT_H
 
 #ifdef __cplusplus
@@ -73,4 +73,4 @@
 #endif
 
-#endif /* _PITCHSCHMITT_H */
+#endif /* _AUBIO_PITCHSCHMITT_H */
 
Index: src/pitch/pitchspecacf.h
===================================================================
--- src/pitch/pitchspecacf.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/pitch/pitchspecacf.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -39,6 +39,6 @@
 */
 
-#ifndef AUBIO_PITCHSPECACF_H
-#define AUBIO_PITCHSPECACF_H
+#ifndef _AUBIO_PITCHSPECACF_H
+#define _AUBIO_PITCHSPECACF_H
 
 #ifdef __cplusplus
@@ -101,3 +101,3 @@
 #endif
 
-#endif /*AUBIO_PITCHSPECACF_H*/
+#endif /* _AUBIO_PITCHSPECACF_H */
Index: src/pitch/pitchyin.h
===================================================================
--- src/pitch/pitchyin.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/pitch/pitchyin.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -35,6 +35,6 @@
 */
 
-#ifndef PITCHYIN_H
-#define PITCHYIN_H
+#ifndef _AUBIO_PITCHYIN_H
+#define _AUBIO_PITCHYIN_H
 
 #ifdef __cplusplus
@@ -97,3 +97,3 @@
 #endif
 
-#endif /*PITCHYIN_H*/
+#endif /* _AUBIO_PITCHYIN_H */
Index: src/pitch/pitchyinfft.h
===================================================================
--- src/pitch/pitchyinfft.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/pitch/pitchyinfft.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -36,6 +36,6 @@
 */
 
-#ifndef PITCHYINFFT_H
-#define PITCHYINFFT_H
+#ifndef _AUBIO_PITCHYINFFT_H
+#define _AUBIO_PITCHYINFFT_H
 
 #ifdef __cplusplus
@@ -97,3 +97,3 @@
 #endif
 
-#endif /*PITCHYINFFT_H*/ 
+#endif /* _AUBIO_PITCHYINFFT_H */
Index: src/spectral/fft.h
===================================================================
--- src/spectral/fft.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/spectral/fft.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -27,6 +27,6 @@
 */
 
-#ifndef FFT_H_
-#define FFT_H_
+#ifndef _AUBIO_FFT_H
+#define _AUBIO_FFT_H
 
 #ifdef __cplusplus
@@ -140,3 +140,3 @@
 #endif
 
-#endif // FFT_H_
+#endif /* _AUBIO_FFT_H */
Index: src/spectral/filterbank.h
===================================================================
--- src/spectral/filterbank.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/spectral/filterbank.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2007-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2007-2013 Paul Brossier <piem@aubio.org>
                       and Amaury Hazan <ahazan@iua.upf.edu>
 
@@ -30,6 +30,6 @@
 */
 
-#ifndef FILTERBANK_H
-#define FILTERBANK_H
+#ifndef _AUBIO_FILTERBANK_H
+#define _AUBIO_FILTERBANK_H
 
 #ifdef __cplusplus
@@ -88,3 +88,3 @@
 #endif
 
-#endif                          // FILTERBANK_H
+#endif /* _AUBIO_FILTERBANK_H */
Index: src/spectral/filterbank_mel.h
===================================================================
--- src/spectral/filterbank_mel.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/spectral/filterbank_mel.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2007-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2007-2013 Paul Brossier <piem@aubio.org>
                       and Amaury Hazan <ahazan@iua.upf.edu>
 
@@ -32,6 +32,6 @@
 */
 
-#ifndef FILTERBANK_MEL_H
-#define FILTERBANK_MEL_H
+#ifndef _AUBIO_FILTERBANK_MEL_H
+#define _AUBIO_FILTERBANK_MEL_H
 
 #ifdef __cplusplus
@@ -70,3 +70,3 @@
 #endif
 
-#endif // FILTERBANK_MEL_H
+#endif /* _AUBIO_FILTERBANK_MEL_H */
Index: src/spectral/mfcc.h
===================================================================
--- src/spectral/mfcc.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/spectral/mfcc.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2007-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2007-2013 Paul Brossier <piem@aubio.org>
                       and Amaury Hazan <ahazan@iua.upf.edu>
 
@@ -28,6 +28,6 @@
 */
 
-#ifndef MFCC_H
-#define MFCC_H
+#ifndef _AUBIO_MFCC_H
+#define _AUBIO_MFCC_H
 
 #ifdef __cplusplus
@@ -70,3 +70,3 @@
 #endif
 
-#endif                          // MFCC_H
+#endif /* _AUBIO_MFCC_H */
Index: src/spectral/phasevoc.h
===================================================================
--- src/spectral/phasevoc.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/spectral/phasevoc.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -32,6 +32,6 @@
 */
 
-#ifndef _PHASEVOC_H
-#define _PHASEVOC_H
+#ifndef _AUBIO_PHASEVOC_H
+#define _AUBIO_PHASEVOC_H
 
 #ifdef __cplusplus
@@ -100,3 +100,3 @@
 #endif 
 
-#endif
+#endif /* _AUBIO_PHASEVOC_H */
Index: src/spectral/specdesc.h
===================================================================
--- src/spectral/specdesc.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/spectral/specdesc.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -20,11 +20,11 @@
 
 /** \file
- 
+
   Spectral description functions
- 
+
   All of the following spectral description functions take as arguments the FFT
   of a windowed signal (as created with aubio_pvoc). They output one smpl_t per
   buffer (stored in a vector of size [1]).
- 
+
   \section specdesc Spectral description functions
 
@@ -35,10 +35,10 @@
   These functions are designed to raise at notes attacks in music signals.
 
-  \b \p energy : Energy based onset detection function 
- 
+  \b \p energy : Energy based onset detection function
+
   This function calculates the local energy of the input spectral frame.
-  
+
   \b \p hfc : High Frequency Content onset detection function
- 
+
   This method computes the High Frequency Content (HFC) of the input spectral
   frame. The resulting function is efficient at detecting percussive onsets.
@@ -47,11 +47,11 @@
   Musical Signal. PhD dissertation, University of Bristol, UK, 1996.
 
-  \b \p complex : Complex Domain Method onset detection function 
- 
+  \b \p complex : Complex Domain Method onset detection function
+
   Christopher Duxbury, Mike E. Davies, and Mark B. Sandler. Complex domain
   onset detection for musical signals. In Proceedings of the Digital Audio
   Effects Conference, DAFx-03, pages 90-93, London, UK, 2003.
 
-  \b \p phase : Phase Based Method onset detection function 
+  \b \p phase : Phase Based Method onset detection function
 
   Juan-Pablo Bello, Mike P. Davies, and Mark B. Sandler. Phase-based note onset
@@ -60,5 +60,5 @@
   Hong-Kong, 2003.
 
-  \b \p specdiff : Spectral difference method onset detection function 
+  \b \p specdiff : Spectral difference method onset detection function
 
   Jonhatan Foote and Shingo Uchihashi. The beat spectrum: a new approach to
@@ -66,11 +66,11 @@
   (ICME 2001), pages 881­884, Tokyo, Japan, August 2001.
 
-  \b \p kl : Kullback-Liebler onset detection function 
-  
+  \b \p kl : Kullback-Liebler onset detection function
+
   Stephen Hainsworth and Malcom Macleod. Onset detection in music audio
   signals. In Proceedings of the International Computer Music Conference
   (ICMC), Singapore, 2003.
 
-  \b \p mkl : Modified Kullback-Liebler onset detection function 
+  \b \p mkl : Modified Kullback-Liebler onset detection function
 
   Paul Brossier, ``Automatic annotation of musical audio for interactive
@@ -78,9 +78,9 @@
   music, Queen Mary University of London, London, UK, 2006.
 
-  \b \p specflux : Spectral Flux 
+  \b \p specflux : Spectral Flux
 
   Simon Dixon, Onset Detection Revisited, in ``Proceedings of the 9th
   International Conference on Digital Audio Effects'' (DAFx-06), Montreal,
-  Canada, 2006. 
+  Canada, 2006.
 
   \subsection shapedesc Spectral shape descriptors
@@ -93,12 +93,12 @@
   href="http://www.ircam.fr/anasyn/peeters/ARTICLES/Peeters_2003_cuidadoaudiofeatures.pdf">pdf</a>)
 
-  \b \p centroid : Spectral centroid 
+  \b \p centroid : Spectral centroid
 
   The spectral centroid represents the barycenter of the spectrum.
 
   \e Note: This function returns the result in bin. To get the spectral
-  centroid in Hz, aubio_bintofreq() should be used. 
+  centroid in Hz, aubio_bintofreq() should be used.
 
-  \b \p spread : Spectral spread 
+  \b \p spread : Spectral spread
 
   The spectral spread is the variance of the spectral distribution around its
@@ -126,5 +126,5 @@
   Wikipedia.
 
-  \b \p slope : Spectral slope 
+  \b \p slope : Spectral slope
 
   The spectral slope represents decreasing rate of the spectral amplitude,
@@ -133,5 +133,5 @@
   \b \p decrease : Spectral decrease
 
-  The spectral decrease is another representation of the decreasing rate,  
+  The spectral decrease is another representation of the decreasing rate,
   based on perceptual criteria.
 
@@ -146,6 +146,6 @@
 
 
-#ifndef ONSETDETECTION_H
-#define ONSETDETECTION_H
+#ifndef _AUBIO_SPECDESC_H
+#define _AUBIO_SPECDESC_H
 
 #ifdef __cplusplus
@@ -156,8 +156,8 @@
 typedef struct _aubio_specdesc_t aubio_specdesc_t;
 
-/** execute spectral description function on a spectral frame 
+/** execute spectral description function on a spectral frame
 
   Generic function to compute spectral detescription.
- 
+
   \param o spectral description object as returned by new_aubio_specdesc()
   \param fftgrain input signal spectrum as computed by aubio_pvoc_do
@@ -168,5 +168,5 @@
     fvec_t * desc);
 
-/** creation of a spectral description object 
+/** creation of a spectral description object
 
   \param method spectral description method
@@ -181,5 +181,5 @@
 aubio_specdesc_t *new_aubio_specdesc (char_t * method, uint_t buf_size);
 
-/** deletion of a spectral descriptor 
+/** deletion of a spectral descriptor
 
   \param o spectral descriptor object as returned by new_aubio_specdesc()
@@ -192,3 +192,3 @@
 #endif
 
-#endif /* ONSETDETECTION_H */
+#endif /* _AUBIO_SPECDESC_H */
Index: src/spectral/tss.h
===================================================================
--- src/spectral/tss.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/spectral/tss.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -37,6 +37,6 @@
 */
 
-#ifndef TSS_H
-#define TSS_H
+#ifndef _AUBIO_TSS_H
+#define _AUBIO_TSS_H
 
 #ifdef __cplusplus
@@ -101,3 +101,3 @@
 #endif
 
-#endif /*TSS_H*/
+#endif /* _AUBIO_TSS_H */
Index: src/synth/sampler.h
===================================================================
--- src/synth/sampler.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/synth/sampler.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SYNTH_SAMPLER_H
-#define _AUBIO_SYNTH_SAMPLER_H
+#ifndef _AUBIO_SAMPLER_H
+#define _AUBIO_SAMPLER_H
 
 /** \file
@@ -138,3 +138,3 @@
 #endif
 
-#endif /* _AUBIO_SYNTH_SAMPLER_H */
+#endif /* _AUBIO_SAMPLER_H */
Index: src/synth/wavetable.h
===================================================================
--- src/synth/wavetable.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/synth/wavetable.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -19,6 +19,6 @@
 */
 
-#ifndef _AUBIO_SYNTH_WAVETABLE_H
-#define _AUBIO_SYNTH_WAVETABLE_H
+#ifndef _AUBIO_WAVETABLE_H
+#define _AUBIO_WAVETABLE_H
 
 /** \file
@@ -176,3 +176,3 @@
 #endif
 
-#endif /* _AUBIO_SYNTH_WAVETABLE_H */
+#endif /* _AUBIO_WAVETABLE_H */
Index: src/tempo/beattracking.h
===================================================================
--- src/tempo/beattracking.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/tempo/beattracking.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Matthew Davies and Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Matthew Davies and Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -37,6 +37,6 @@
   
 */
-#ifndef BEATTRACKING_H
-#define BEATTRACKING_H
+#ifndef _AUBIO_BEATTRACKING_H
+#define _AUBIO_BEATTRACKING_H
 
 #ifdef __cplusplus
@@ -99,3 +99,3 @@
 #endif
 
-#endif /* BEATTRACKING_H */
+#endif /* _AUBIO_BEATTRACKING_H */
Index: src/tempo/tempo.h
===================================================================
--- src/tempo/tempo.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/tempo/tempo.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2006-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2006-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -31,6 +31,6 @@
 */
 
-#ifndef TEMPO_H
-#define TEMPO_H
+#ifndef _AUBIO_TEMPO_H
+#define _AUBIO_TEMPO_H
 
 #ifdef __cplusplus
@@ -134,3 +134,3 @@
 #endif
 
-#endif /* TEMPO_H */
+#endif /* _AUBIO_TEMPO_H */
Index: src/temporal/a_weighting.h
===================================================================
--- src/temporal/a_weighting.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/temporal/a_weighting.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef _ADESIGN_H
-#define _ADESIGN_H
+#ifndef _AUBIO_FILTER_A_DESIGN_H
+#define _AUBIO_FILTER_A_DESIGN_H
 
 /** \file
@@ -86,3 +86,3 @@
 #endif
 
-#endif /* _ADESIGN_H */
+#endif /* _AUBIO_FILTER_A_DESIGN_H */
Index: src/temporal/biquad.h
===================================================================
--- src/temporal/biquad.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/temporal/biquad.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef BIQUAD_H
-#define BIQUAD_H
+#ifndef _AUBIO_FILTER_BIQUAD_H
+#define _AUBIO_FILTER_BIQUAD_H
 
 /** \file 
@@ -73,3 +73,3 @@
 #endif
 
-#endif /*BIQUAD_H*/
+#endif /* _AUBIO_FILTER_BIQUAD_H */
Index: src/temporal/c_weighting.h
===================================================================
--- src/temporal/c_weighting.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/temporal/c_weighting.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef _CDESIGN_H
-#define _CDESIGN_H
+#ifndef _AUBIO_FILTER_C_DESIGN_H
+#define _AUBIO_FILTER_C_DESIGN_H
 
 /** \file
@@ -86,3 +86,3 @@
 #endif
 
-#endif /* _CDESIGN_H */
+#endif /* _AUBIO_FILTER_C_DESIGN_H */
Index: src/temporal/filter.h
===================================================================
--- src/temporal/filter.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/temporal/filter.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef FILTER_H
-#define FILTER_H
+#ifndef _AUBIO_FILTER_H
+#define _AUBIO_FILTER_H
 
 /** \file 
@@ -174,3 +174,3 @@
 #endif
 
-#endif /*FILTER_H*/
+#endif /* _AUBIO_FILTER_H */
Index: src/temporal/resampler.h
===================================================================
--- src/temporal/resampler.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/temporal/resampler.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef _RESAMPLE_H
-#define _RESAMPLE_H
+#ifndef _AUBIO_RESAMPLER_H
+#define _AUBIO_RESAMPLER_H
 
 /** \file
@@ -63,3 +63,3 @@
 #endif
 
-#endif /* _RESAMPLE_H */
+#endif /* _AUBIO_RESAMPLER_H */
Index: src/types.h
===================================================================
--- src/types.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/types.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -19,6 +19,6 @@
 */
 
-#ifndef AUBIO_TYPES_H
-#define AUBIO_TYPES_H
+#ifndef _AUBIO__TYPES_H
+#define _AUBIO__TYPES_H
 
 /** \file
@@ -68,3 +68,3 @@
 #endif
 
-#endif/*AUBIO_TYPES_H*/
+#endif /* _AUBIO__TYPES_H */
Index: src/utils/hist.h
===================================================================
--- src/utils/hist.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/utils/hist.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -26,6 +26,6 @@
  */
 
-#ifndef HIST_H
-#define HIST_H
+#ifndef _AUBIO_HIST_H
+#define _AUBIO_HIST_H
 
 #ifdef __cplusplus
@@ -61,3 +61,3 @@
 #endif
 
-#endif
+#endif /* _AUBIO_HIST_H */
Index: src/utils/parameter.h
===================================================================
--- src/utils/parameter.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/utils/parameter.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -158,3 +158,2 @@
 
 #endif /* _AUBIO_PARAMETER_H */
-
Index: src/utils/scale.h
===================================================================
--- src/utils/scale.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/utils/scale.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2003-2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2003-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -29,6 +29,6 @@
  
 */
-#ifndef SCALE_H
-#define SCALE_H
+#ifndef _AUBIO_SCALE_H
+#define _AUBIO_SCALE_H
 
 #ifdef __cplusplus
@@ -78,3 +78,3 @@
 #endif 
 
-#endif
+#endif /* _AUBIO_SCALE_H */
Index: src/vecutils.h
===================================================================
--- src/vecutils.h	(revision 7e52871ec2b637368364bf03aef2f2ab262643d1)
+++ src/vecutils.h	(revision b235c0ebcf217209b267bf95f3ed90a788b6b919)
@@ -1,4 +1,4 @@
 /*
-  Copyright (C) 2009 Paul Brossier <piem@aubio.org>
+  Copyright (C) 2009-2013 Paul Brossier <piem@aubio.org>
 
   This file is part of aubio.
@@ -25,6 +25,6 @@
  */
 
-#ifndef _VECUTILS_H
-#define _VECUTILS_H
+#ifndef _AUBIO__VECUTILS_H
+#define _AUBIO__VECUTILS_H
 
 #ifdef __cplusplus
@@ -192,3 +192,3 @@
 #endif
 
-#endif /*_VECUTILS_H*/
+#endif /* _AUBIO__VECUTILS_H */
